Component({
  options: {
    multipleSlots: true,
  },
  properties: {
    contentSlot: {
      type: Boolean,
      value: false,
    },
    headerSlot: {
      type: Boolean,
      value: false,
    },
    item: {
      type: Object,
      value: false,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},
  attached: function () {},

  /**
   * 组件的方法列表
   */
  methods: {
    call(e) {
      const tel = e.currentTarget.dataset.tel;
      wx.makePhoneCall({
        phoneNumber: tel, // 这里是电话号码[假的]可以调用自己的数据this.data.xxx
        success: function () {
          console.log("拨打电话成功！");
        },
        fail: function () {
          console.log("拨打电话失败！");
        },
      });
    },
  },
});
