<!--
 * @Author: Mr.Hu
 * @Date: 2023-07-17 17:45:42
 * @Description: 
 * @LastEditors: Mr.Hu
-->
# 列表卡片

### 介绍
列表中的单个展示项

### 效果图
![效果图](https://img.tanjiu.cn/home/xRRapWMCmE6S44YQDWzaCyj78FjBFxjG.png "步进器效果图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-stepper": "@xtdev/xt-miniprogram-ui/xt-stepper",
}
```

## 代码演示

### 基础用法

```
<xt-stepper value="{{good.qty}}" step="{{good.step}}" min="{{good.min}}" max="{{good.max}}" bind:change="inputChange" stepTips="3的倍数瓶起购"/>
```

## API

#### xt-stepper props

| 参数      | 说明 |  类型 |
| ----------- | ----------- | ---------- |
| value      | 输入框当前值 | `Number` |
| min   | 最小值  | `Number` |
| max   | 最大值  | `Number` |
| step   | 每次点击改变的间隔大小  | `Number` |
| background   | 背景色  | `String` |
| color   | 字体颜色（前景色）  | `String` |
| disabled   |  是否为禁用步进器，默认否  | `Boolean` |
| disableInput   |  是否为禁用输入框，默认否  | `Boolean` |

## Event

| 事件名      | 说明 | 回调参数 |
| ----------- | ----------- | ----------- |
| change      | 输入框值改变时触发 | `Number` |
| focus   | 输入框聚焦时触发 | `event` |
| blur   | 输入框失焦时触发  | `event` |